module ApplicationHelper
  def body_data_attributes
    attributes = {}
    attributes[:loggedin_uid] = current_user.id if user_signed_in?
    attributes[:is_shiftcoordinator] = 1 if current_user&.shiftcoordinator?
    attributes[:languages_from] = current_user.languages_from unless current_user&.languages_from.blank?
    attributes[:darkmode] = current_user&.darkmode || "auto"
    { data: attributes }
  end
end
